Name:           python-webchanges
Version:        3.30.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Web Changes Delivered. AI-Summarized. Totally Anonymous.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/mborsetti/webchanges/
Source:         %{pypi_source webchanges}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'webchanges' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-webchanges
Summary:        %{summary}

%description -n python3-webchanges %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-webchanges all,beautify,bs4,deepdiff,deepdiff-xml,html5lib,ical2text,imagediff,jq,matrix,ocr,pdf2text,pushbullet,pushover,pypdf,pypdf-crypto,redis,requests,safe-password,use-browser,xmpp


%prep
%autosetup -p1 -n webchanges-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,beautify,bs4,deepdiff,deepdiff-xml,html5lib,ical2text,imagediff,jq,matrix,ocr,pdf2text,pushbullet,pushover,pypdf,pypdf-crypto,redis,requests,safe-password,use-browser,xmpp


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-webchanges -f %{pyproject_files}


%changelog
%autochangelog